Loading...
Searching...
No Matches
nanoflann::BoxResultSet< _IndexType > Class Template Reference
nanoflann C++ library for KD-trees » Result set classes

`#include <nanoflann.hpp>`

## Public Types

using | IndexType = _IndexType

## Public Member Functions

| BoxResultSet (std::vector< IndexType > &indices)
NANOFLANN_NODISCARD size_t | size () const noexcept
NANOFLANN_NODISCARD bool | empty () const noexcept
NANOFLANN_NODISCARD bool | full () const noexcept
template<typename DistanceType>
bool | addPoint (DistanceType, IndexType index)
void | sort ()

## Public Attributes

std::vector< IndexType > & | m_indices

## Detailed Description

template<typename _IndexType = size_t>
class nanoflann::BoxResultSet< _IndexType >

A result-set class used when collecting all points contained within an axis-aligned bounding box (see findWithinBox()). Distances are not used; matching point indices are appended to the user-provided vector.

## Member Function Documentation

## addPoint()

template<typename _IndexType = size_t>
template<typename DistanceType>

bool nanoflann::BoxResultSet< _IndexType >::addPoint | ( | DistanceType | ,
|  | IndexType | index )

inline

Called for each point found inside the query box. The distance argument is unused (always 0 for a box query).

Returns
  always true (keep going).

The documentation for this class was generated from the following file:

- include/nanoflann.hpp